{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('admin-scheduled-actions') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('admin-scheduled-actions') }}
{% endblock %}

{% block main_content %}
  <section id="intro" class="container-fluid px-4 my-4">
    <div class="row">
      <div class="col-12">
        <h2>{{ 'nav.admin.azioni_programmate'|trans }}</h2>
      </div>
    </div>
    <form method="get" action="{{ path('admin_scheduled_actions_index') }}">
      <div class="row">

        <div class="col-12 col-md-6"></div>
        <div class="col-12 col-md-3">
          <div class="form-row">
            <label for="status-range">{{ 'pratica.filtra_per_data_creazione' | trans }}</label>
            <input type="text" id="filter-created-at" name="filters[created_at]" class="chosen-input" autocomplete="false"
                   onkeydown="event.preventDefault()">
          </div>
        </div>
        <div class="col-12 col-md-3">

          <div class="form-row">
            <label>{{ 'pratica.filtra_per_stato' | trans }}</label>
            <select id="filter-status" class="form-control" name="filters[status]">
              <option value="">{{ 'tutti' | trans }}</option>
              {% for k,v in statuses %}
                {% if v.count > 0 %}
                  <option value="{{ k }}"
                          {% if filters.status is defined and filters.status == k %}selected{% endif %}>{{ v.label }}
                    ({{ v.count }})
                  </option>
                {% endif %}
              {% endfor %}
            </select>
          </div>

        </div>
      </div>
    </form>

    <div class="row">
      <div class="col-lg-12 table-responsive">
        <!-- Insert this where you want the table to appear -->
        <div id="scheduled-actions" data-config="{{ datatable_settings(datatable)|url_encode }}"></div>
        <!-- Insert this at the end of your body element, but before the closing tag -->
      </div>
    </div>
  </section>

{% endblock %}
